pld-builder.new: client/make-request.sh - -C/--config-file command...

adamg adamg at pld-linux.org
Tue Jul 24 19:41:12 CEST 2007


Author: adamg                        Date: Tue Jul 24 17:41:12 2007 GMT
Module: pld-builder.new               Tag: HEAD
---- Log message:
- -C/--config-file command line option

---- Files affected:
pld-builder.new/client:
   make-request.sh (1.27 -> 1.28) 

---- Diffs:

================================================================
Index: pld-builder.new/client/make-request.sh
diff -u pld-builder.new/client/make-request.sh:1.27 pld-builder.new/client/make-request.sh:1.28
--- pld-builder.new/client/make-request.sh:1.27	Tue Mar 28 15:45:56 2006
+++ pld-builder.new/client/make-request.sh	Tue Jul 24 19:41:07 2007
@@ -42,6 +42,9 @@
   echo "Usage: make-request.sh [OPTION] ... [SPECFILE] ...."
   echo ""
   echo "Mandatory arguments to long options are mandatory for short options too."
+  echo "  -C  --config-file /path/to/config/file"
+  echo "       Source additional config file (after $USER_CFG), useful when"
+  echo "       when sending build requests to Ac/Th from the same account"
   echo "  -b 'BUILDER BUILDER ...'  --builder='BUILDER BUILDER ...'"
   echo "       Sends request to given builders"
   echo "  --with VALUE --without VALUE"
@@ -73,6 +76,10 @@
 
 while [ $# -gt 0 ] ; do
   case "$1" in
+    --config-file | -C )
+      [ -f $2 ] && . $2 || die "Config file not found"
+      shift
+      ;;
     --builder | -b )
       builders="$builders $2"
       shift
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/pld-builder.new/client/make-request.sh?r1=1.27&r2=1.28&f=u



More information about the pld-cvs-commit mailing list